AsterNet Class Library (Sandcastle documentation)

| ManagerConnection Login Method (Int32)

Log in to the Asterisk manager using asterisk's MD5 based challenge/response protocol. The login is delayed until the protocol identifier has been received by the reader.

Namespace: AsterNET.Manager
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public void Login(
    	int timeout
    )

    Public Sub Login (
    	timeout As Integer
    )

    public:
    void Login(
    	int timeout
    )

    member Login :
            timeout : int -> unit

#### Parameters

timeout
  Type: System
  Int32
  Timeout in milliseconds to login.

See Also

#### Reference

ManagerConnection Class
Login Overload
AsterNET.Manager Namespace